package formview

import (
	"go_dreamfactory/cmd/v2/model"
	"go_dreamfactory/cmd/v2/service"
	"go_dreamfactory/pb"

	"fyne.io/fyne/v2"
	"github.com/sirupsen/logrus"
)

type EquipListView struct {
	BaseformView
}

func (this *EquipListView) CreateView(t *model.TestCase) fyne.CanvasObject {
	this.form.OnSubmit = func() {
		if err := service.GetPttService().SendToClient(t.MainType, t.SubType, &pb.EquipmentGetListReq{}); err != nil {
			logrus.Error(err)
		}
	}
	return this.form
}
